summaryrefslogtreecommitdiffstats
path: root/net-proxy/socks5/files/socks5.init
diff options
context:
space:
mode:
Diffstat (limited to 'net-proxy/socks5/files/socks5.init')
-rw-r--r--net-proxy/socks5/files/socks5.init20
1 files changed, 20 insertions, 0 deletions
diff --git a/net-proxy/socks5/files/socks5.init b/net-proxy/socks5/files/socks5.init
new file mode 100644
index 0000000..d2fb964
--- /dev/null
+++ b/net-proxy/socks5/files/socks5.init
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header:
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting socks5:"
+ socks5
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping socks5:"
+ killall ${KILL_OPTS} socks5
+ eend $?
+}